<!DOCTYPE html>
<!--
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/JSP_Servlet/Html.html to edit this template
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ENjdO4Dr2bkBIFxQpeoTz1HIcje39Wm4jDKdf19U8gI4ddQ3GYNS7NTKfAdVQSZe" crossorigin="anonymous"></script>
        <script src="
                https://cdn.jsdelivr.net/npm/jquery@3.6.4/dist/jquery.min.js
        "></script>
        <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.min.js"></script>
    </head>
    <body>
        <div id="app">
            Name: <input v-model="name"/>  
            Head Color: <input v-model="headColor"/> 
            Body Color: <input v-model="bodyColor"/> 
            <button v-on:click="add();">ADD</button>
            <a href="index.html"><button>Go Live</button></a><br/>
            <table border="1" style="width: 90%">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Head Color</th>
                        <th>Body Color</th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <tr v-for="(a, i) in fishes">
                        <td>{{a.name}}</td>
                        <td><input v-model="a.headColor"/></td>
                        <td><input v-model="a.bodyColor"/></td>
                        <td><button v-on:click="save(a);">SAVE</button>
                            <button v-on:click="remove(a.name);">DELETE</button></td>
                    </tr>
                </tbody>
            </table>
        </div>
        <script>
            let app=new Vue({
                el: "#app",
                data:{
                    fishes:[],
                    name: "",
                    headColor: "",
                    bodyColor: ""
                },
                methods: {
                    add: function(){
                        $.ajax("api/fish", {
                            //question4 (20%)
                            ///////////////////
                        });
                    },
                    save: function(a){
                        $.ajax("api/fish", {
                            //question5 (20%)
                            ///////////////////
                        });
                    },
                    remove: function(i){
                        $.ajax("api/fish/name/"+i, {
                            type: "DELETE",
                            success: function(){
                                listFishes();
                            }
                        });
                    }

                }
            });
            
            function listFishes(){
                $.ajax("api/fishes", {
                    success: function(o){
                        app.fishes=o;
                    }
                });
            }
            listFishes();
        </script>
    </body>
</html>
